[PATCH] libosmocore[master]: osmo-release.sh: Fix error condition no LIBVERSION modified

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Pau Espin Pedrol gerrit-no-reply at lists.osmocom.org
Wed May 2 14:44:38 UTC 2018


Review at  https://gerrit.osmocom.org/7970

osmo-release.sh: Fix error condition no LIBVERSION modified

It turns out git status doesn't return an error code in any of the
modified/unmodified cases. It's not clear anyway why we check
TODO-RELEASE when we actually care about the file containing the
LIBVERSION (non-)change.

Change-Id: I2320d6ee29cd528e55c0609be1af350655123b85
---
M osmo-release.sh
1 file changed, 2 insertions(+), 5 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/70/7970/1

diff --git a/osmo-release.sh b/osmo-release.sh
index 7ae4da0..0e85023 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -40,11 +40,8 @@
 	grep '#' TODO-RELEASE > TODO-RELEASE.clean
 	mv TODO-RELEASE.clean TODO-RELEASE
 	if [ "z$MAKEMOD" = "z" ]; then
-		git status -s -uno TODO-RELEASE
-		if [ $? -ne 0 ]; then
-			echo "Before releasing, please modify some of the libversions: $LIBVERS"
-			exit 1
-		fi
+		echo "Before releasing, please modify some of the libversions: $LIBVERS"
+		exit 1
 	fi
 	xargs -a TODO-RELEASE.entries -r -d'\n' -I entry dch -m -v $NEW_VER "entry"
 	rm TODO-RELEASE.entries

-- 
To view, visit https://gerrit.osmocom.org/7970
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I2320d6ee29cd528e55c0609be1af350655123b85
Gerrit-PatchSet: 1
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Pau Espin Pedrol <pespin at sysmocom.de>



More information about the gerrit-log mailing list